【Python】Anaconda Navigator 起動エラーについて(解決済)

新年早々、Anaconda Navigatorが突然起動しなくなった不具合について。
結論としては、Anaconda Navigatorをリセットしたら起動できるようになった。

環境
OS : Windows7 64bit
Anaconda Navigator: 1.6.11へアップデートした

不具合内容
Anaconda Navigatorが突然起動しなくなった。
エラーの内容を見ると、どうやらアクセス拒否が発生している。

エラー内容

Traceback (most recent call last):
File “C:\ProgramData\Anaconda3\lib\site-packages\psutil\_pswindows.py”, line 636, in wrapper
return fun(self, *args, **kwargs)
File “C:\ProgramData\Anaconda3\lib\site-packages\psutil\_pswindows.py”, line 706, in cmdline
ret = cext.proc_cmdline(self.pid)
PermissionError: [WinError 5] アクセスが拒否されました。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\ProgramData\Anaconda3\lib\site-packages\anaconda_navigator\exceptions.py”, line 75, in exception_handler
return_value = func(*args, **kwargs)
File “C:\ProgramData\Anaconda3\lib\site-packages\anaconda_navigator\app\start.py”, line 113, in start_app
if misc.load_pid() is None: # A stale lock might be around
File “C:\ProgramData\Anaconda3\lib\site-packages\anaconda_navigator\utils\misc.py”, line 384, in load_pid
cmds = process.cmdline()
File “C:\ProgramData\Anaconda3\lib\site-packages\psutil\__init__.py”, line 721, in cmdline
return self._proc.cmdline()
File “C:\ProgramData\Anaconda3\lib\site-packages\psutil\_pswindows.py”, line 639, in wrapper
raise AccessDenied(self.pid, self._name)
psutil.AccessDenied: psutil.AccessDenied (pid=10112)

対策内容
1. Anaconda Navigatorをupdateした

conda update anaconda

でアップデートする。

Proceed ([y]/n)?

 と聞かれるので、 yでアップデートを実行する。

しかし、不具合は改善せず(Anaconda Navigatorが起動できないまま。エラーの内容も変わらず)。

2. Anaconda Navigatorをリセットした

ここを読んでいたら、

I just run “anaconda-navigator –reset” in the anaconda prompt, and everything is back to normal!

と書いてあったので、リセットを実行してみた。
リセットを実行した後、何事も無くAnaconda Navigatorが起動出来るようになっていた。
なんだったんだ・・・。

以上